Support » Plugin: Constant Contact Forms » Deprecated code: CMB2_REST.php

  • Resolved CeJay Associates, LLC

    (@candeeg)


    My website is throwing an error when Constant Contact is enabled:

    Deprecated: Required parameter $field_id follows optional parameter $type in /home/wigertsbonsai/public_html/wp-content/plugins/constant-contact-forms/vendor/cmb2/cmb2/includes/rest-api/CMB2_REST.php on line 693

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Constant Contact

    (@constantcontact)

    Hi @candeeg

    Looks like we could use some updating of a library we’re making use of in the plugin. I’ll get that enhancement filed internally to take care of.

    Are you comfortable with making some file edits to files in the plugin? or would you prefer to have someone else do so? Asking because I can show you the small change you’d want to make to have that deprecation notice go away for the time being.

    Thread Starter CeJay Associates, LLC

    (@candeeg)

    It only shows in debugging mode, so I’m not really concerned. Just letting you know it’s there 🙂

    Plugin Author Constant Contact

    (@constantcontact)

    Thank you for that.

    Let us know if you need anything else.

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.